2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix make distcheck

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Remove deprecated build files

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Fix typo

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[window-animation] Don't use deprecated vala syntax for signal connection

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] Don't use deprecated vala syntax for signal connection

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Another missing build file

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Replace deprecated vala '+='  by connect for signal connection

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Damage window on transform change

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Remove forgotten plugin.make

2010-03-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Prepare to 0.3 release - Modernise autotools use - Fix indent - Fix vala plugins for latest valac (0.7.10) - Use more classical dialog for preference and snapshot - Remove deprecated backend (glitz/openvg) - Vala is now required

2010-01-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Don't resize and move on window creation

2010-01-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add audit log functions

2010-01-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Try to use DBE instead manual cairo surface for xrender double buffering. - If DBE is detected try to use it instead cairo surface (its little slower but less memory hungry) - Add a display option to enable/disable DBE

2010-01-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix build with latest vala 0.7.9.

2009-12-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Revert "[shadow] Do not sync display on pixmap damage."

	This reverts commit d484272d6525e0d6396bf6a48812f30272b3f2f5.

2009-12-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Do not sync display on pixmap damage.

2009-12-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Try to keep ready master timeout on top pool timeout queue.

2009-12-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Keep a reference on last window of stack.

2009-12-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix fullscreen check stack, fix damage window on restack

2009-12-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Remove inconsistent window in destroy queue

2009-12-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Revert "[cairo-compmgr] Push reparent window in remove queue instead destroy directly"

	This reverts commit 2dbec06fb8c648f7034dedf3707c46578c7e8f4a.

2009-11-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Push reparent window in remove queue instead destroy directly

2009-11-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Sort windows on check stack.

2009-11-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Always keep original geometry and use a boolean to check if plugins is enabled for a window

2009-11-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Get frame extents in async way

2009-11-23  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Use CCMWindow to store group_leader and transient_for instead native window.

2009-11-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Add mplayer special case: don't ping if window name is "mplayer" (close FS#31)

2009-11-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[window-animation] Damge also transient child window on animation (close FS#30)

2009-11-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Don't try to restack window above desktop window (close FS#27)

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix possible crash on double free of rectangle list

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[magnifier] Fix possible crash on double free of rectangle list

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Fix crash when window doesn't have geometry

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix backtrace human readable activation

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Fix crash if window have not geometry

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Hide/Show preferences on ccm reload

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Restart ccm on check/uncheck unmanaged screen

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[vala-test] Draw all damage rectangles

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix preferences page - Do not show glitz tfp choice if glitz is disabled - Fix crash on backend switch

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Repair directly pixmap on damage

2009-11-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix "ghost window" creation - Move directly window on creation - Do not try to search parent in manager window on reparent

2009-11-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Fix dynamic shadow activation

2009-11-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add window set pixmap property, fix check mask when extra geometry became smaller

2009-11-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo-compmgr] Fix timeline take 100% cpu on time change.

2009-11-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add more human readable backtrace.

2009-11-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Check for frame and child window on creation.

2009-11-11  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Use have_shadow property to check shadow on get_pixmap instead recheck it.

2009-11-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add some test experiment

2009-11-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add more number stack call on print backtrace

2009-11-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix fullscreen window redraw, minimize query_geometry calls.

2009-11-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Do not query geometry on window property.

2009-11-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Fix plugin loading/unloading

2009-11-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Update required version of vala, pixman and glade to build

2009-11-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Uncomment case to have shadow for gnome-panel it have some side-effect on other dock programs

2009-11-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo-compmgr] Don't try to connect  on config object if creation fail

2009-11-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo-compmgr] Don't try to create config key if key doesn't exist in schema file

2009-11-04  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix vapi for vala 0.7.8

2009-10-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix build with vala 0.7.8

2009-10-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix incorrect placed window - Use untransformed geometry on move - Query geometry if no geometry on move or resize

2009-10-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Compress configure event

2009-10-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo-compmgr] Remove unused variable

2009-10-05  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Release 0.2.98

2009-10-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Don't create a window backbuffer with alpha

2009-10-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[window-animation] Manage get conf exception

2009-10-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[vala-test] Manage get conf exception

2009-10-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Manage get conf exception

2009-09-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Cairo'ify window xrender double-buffering

2009-09-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix rectangle conversion to fixed value.

2009-09-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Disable prefetch for now

2009-09-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Place window with distance diff instead scale diff

2009-09-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[perf] Remove window repaint on damage

2009-09-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Get plugin priv from object instead get_private request ont get/set_property

2009-09-09  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compgr] After many tests set prefetch object to 20 it's seems its the better value for performance

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Don't reload plugin if window is unmanaged, use quark to follow pixmap destruction

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Fix plugin load/unload

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Remove uneeded keybind destroy

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Avoid warning on enable/disable ccm

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Unload options on finalize and check area window on animation

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[perf] Destroy and disconnect keybind on plugin finalize

2009-09-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Do not connect on plugin changed foreach plugin instance

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[window-animation] Add preferences page

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Add mosaic preferences page

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] Set Output struct is public to avoid warning on latest vala snapshot

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[automate] Use UI_DIR instead hard coded path ui

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add ccm-preferences-page-plugin and config widgets vala support

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Use set_mask method instead g_object_set on map/unmap

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add config.vapi for vala plugins

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add missing header in install

2009-09-06  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Alloc config array with g_slice

2009-09-05  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Do not restack over leader or transient if is they are hidden

2009-09-05  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Do not manage enter/leave event if plugin is disabled

2009-08-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Some fixes - Fix some memory leak - Finish plugin options rewrite - Migrate mosaic plugin to vala - Add some nice animations to mosaic

2009-08-04  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Fix a memory leak

2009-08-04  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] GObjectify PluginOptions - Set PluginOptions has a gobject instead simple struct - Fix build latest vala 0.7.5

2009-07-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Some small performance improvement - Replace all single call of g_object_get/set_property by ccm_<object>_set_<property> - Re enable glib type check disable macro - Do not try restack if sibling window is active window

2009-07-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix screen restack window list corrupt

2009-07-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix restack on configure event. - The previous audit of the stack performed a search on the window and the sibling link.   Once found, he removed the window of the stack and inserted immediately after the sibling link.   The problem here is that the removal of the window invalidated the sibling link.   To avoid this we need to restack window manually when we found sibling link

2009-07-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Check transient and window on transient transform changed. - Check transient and window on transient transform changed, avoid a crash in a particular case.

2009-07-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix build libglade-ccm when prefix is not set - Check prefix if set when setting glademoduledir to avoid invalid glade module path   thanks Carlos to pointing that.

2009-07-23  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix typo

2009-07-23  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Check if geometry region is not empty when get_clipbox - Check if region is not empty when get_geometry_clipbox avoid to create invalid empty region

2009-07-23  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] Use a weak pointer to store window output

2009-07-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] Use a weak pointer to store screen

2009-07-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix typo

2009-07-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Alloc stack with g_slice

2009-07-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix region transform - If transform create an region, empty boxes and recreate an empty region.   Fix pixman 0.15.18 region asserts

2009-07-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Fix crash if ccm can't get window surface

2009-07-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Cast correctly plugin in unmanaged window creation

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cario-compmgr] Add window new unmanaged - Add window_new_unmanaged which create window without plugins loading. - Use window_new_unmanaged for root window and cow creation.

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cario-compmgr] Fix build with automake 1.11

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Let root and cow load plugin - Let root and cow load plugins - Don't return transient if is root window

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix build warning in eggsmclient-xsmp

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix watch destroy - Remove double unref of watch.

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Connect on display event in screen load_options - Connect on display event in screen load_options avoid to connect on each window creation.

2009-07-21  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Re enable glib check - Be less optimist re enable glib check since all type check bug are not fixed.

2009-07-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Pass transient child on window reparent + some typo fixes - Disconnect transient transform signal on all child and pass to parent on Reparent Event

2009-07-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Silent disconnect transient transform changed

2009-07-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] More indent fixup

2009-07-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Global reindent - reindent correctly code with indent -kr -bl -bls -nce -nhnl -nut -psl -saf -sai -pcs -saw -bli0 -cbi4 -cli4 -c0 -l80

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] Rewrite plugin with vala

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix vala plugins with latest vapi changes

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Update vapi with latest ccm changes

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Disable glib check and add vala libs - Disable GLIB CHECK - Add vala libs when vala bindings is enabled

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add get/set foreign property function - Add get/set foreign property function for vala binding

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix some crashes - Check correctly transient object on signal disconnect - Check correctly new_geometry on resize

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Set paint timeline has master - Set screen paint timeline has master, its allow the paint become the most prioritized task - Add get_visual_for_depth API - Fix composite-message signal declaration

2009-07-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Add timeline master - Add timeline master property which allow one timeline to be master.   The master timeline always pass in first position on timeout dispatch.

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Pass extension property only if is set on config object creation

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[fade/menu-animation/shadow] Check correctly screen object before disconnecting signal

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix XEventClass allocation in ccm_display_report_device_event

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Check screen object before disconnecting plugins changed signal

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Avoid a memory leak on plugin options signal id array

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add set foreign pixmap property - Add set foreign pixmap property which when is set avoid pixmap freeing

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Use g_slice to alloc PluginOptions

2009-07-17  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add window get_child method

2009-07-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix signal connect/disconnect - Store signal id for disconnect instead use disconnect_by_func

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix free options in vala plugins - Use pointer deferencing for free options class.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix options init for vala plugins

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Remove deprecated page_size propertie in ccm-preferences.ui

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix GET_PRIVATE macro - Fix auto insert macro GET_PRIVATE declaration

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add window animation plugin. - Add window animation plugin which mimic mutter open/close animation.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add lock API for vala plugins

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Use native window ID instead CCM object

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix use root background configuration UI.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Store some config in object. - store some config value (like refresh_rate or bakend value) in object instead get directly config value.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add plugin list class store - Store plugin list in class instead in each instance.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[plugins] Add config class store - Store plugin options in class instead in each instance. Its allow allocation in first plugin instance instead   in each object creation.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add object prefetching - Add CCM_DEFINE_TYPE and CCM_DEFINE_TYPE_EXTENDED macro which enable gobject   prefetching allocation.

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[vapi] Fix with latest cairo-compmgr api and latest vala release

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[vala-window-plugin] Fix build with vala 0.7.4

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix valac build options

2009-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Fix fake shadow - fix fake shadow draw for small window

2009-06-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add background button - Add background file selector button

2009-06-23  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add timed dialog on backend change & add background preference - Add timed dialog on backend change - Add background preference page

2009-06-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add confirm preference change dialog - Add CCMTimedDialog to confirm change or revert back to old config - Add need-restart signal to CCMPreferencesPage which initiate confirm dialog - Add reload signal to CCMPreference to initiate cairo-compmgr restart.

2009-06-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Paint black background if pixmap is not set Fill with black color if pixmap background is not set

2009-06-19  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add Xinput2 support - check and enable if available xinput 2 protocol

2009-06-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] check for rectangle on free - check if rectangle is not null on rectangle free avoid a crash with shadow plugin

2009-06-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[debian] remove ccm-preferences.ui from cairo-compmgr-plugins - remove ccm-preferences.ui from cairo-compmgr-plugins it already provided   by cairo-compmgr-core

2009-05-31  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Revert: use screen number instead config filename for monitor hash table key. Can be cause some trouble for now

2009-05-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Use screen number instead config filename for monitor hash table key. Use screen number instead config filename for monitor hash table key, it reduce the number of allocation on ccm_config creation.

2009-05-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Minimize region rectangles allocation. Use g_slice to create/free rectangle array on ccm_region_get_[x]rectangles to minimize the number of allocations.

2009-05-29  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] sync display on pixmap damage

2009-05-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] unset mask before locking - unset mask when locking on map/unmap - dont call end lock on unmap not need to recreate mask

2009-05-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Performance improvement - Lock since map/unmap to avoid many call of create mask on fade animation

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Prepare for 0.2.96 - Add libwnck dep - Split cairo-compmgr to cairo-compmgr-core and cairo-compmgr-plugins - Fix make dist-check

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix up glitz visual choose. - Fix glitz visual selection, it fix glitz TFP backend.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Flush and sync display on swap

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Move and resize performance improvements. - Don't get attribs on move and resize recalculate area instead. - Add no_undamage_sibling which if true and window is opaque it don't clip sibling windows on damage. - Add mask_y_invert property.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] Clone screen attempt - Attempt to add clone screen support this is not the good to do it must be reviewed. - Add test clone screen program

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix build warning. - use GPOINTER_TO_INT or GINT_TO_POINTER instead direct cast.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[automate] Fix up X.vapi to x11.vapi migration

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Prepare for extension backend dependencies - add method to get_backends. - clean up some dead code.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Performance improvements - check more strictly for shadow, its avoid some crash. - optimize shadow pixmap redraw and creation.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[perf] Visualize Xorg memory usage instead shared memory. - use libwnck to visualize Xorg memory usage instead shared memory.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[opacity] Little performance improvement - Flush display instead sync on opacity change.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Fix work with glitz and optimize resize. - Add support of y_invert surface for TFP glitz backend. - Optimize resize operation.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] split ccm_display_sync - Split ccm_display_sync to ccm_display_flush and ccm_display_sync function

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[vapi] Remove X.vapi - Remove X.vapi is now provide by vala x11.vapi

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Use g_slice on ccm_region creation. - Use g_slice on ccm_region creation, optimize the number of allocation on runtime

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Screen stack check rework. - Screen stack check rework which fix some death window. - Expose _ccm_screen_get_selection_owner private method. - Optimize find_window_from_input.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Pixmap creation fail if parent doesn't have any geometry. - Pixmap creation fail if parent doesn't have any geometry, fix some crash on window   fast creation/deletion.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add restart option - Add restart option which always restart ccm when it stop or crash.

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Use similar surface instead image on fake blur - Use similar surface instead image on fake blur - Add new testing method for bluring from Steve Hanov

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Resync egg smclient upstream - Fix the .desktop-file-as-state-file case; egg_desktop_file_get_source()

2009-05-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Resync with clutter timeline - Count timeline frames using the FPS instead of an integer interval

2009-04-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] small performance improvement - don't trap display error - on check region is empty, check if pixman region is not empty before check if width and height is null - fix typo

2009-04-02  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] small performance improvement - don't trap display error on get attribs, it does a sync on initiate move - don't copy path on get_damage_path

2009-04-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[fade] fix typo

2009-04-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[clone] fill pixmap on clone activation - Fill pixmap on clone animation - Fix clone test

2009-04-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] slighter decrease timeline priority

2009-04-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add clone plugin - Add clone plugin to provide the possibility to clone any window in a pixmap - Add _CCM_CLIENT_MESSAGE client message management - Add a small clone demo programs

2009-04-01  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Increase timeline priority

2009-03-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix #15 enable compositing hide root wallpaper - Add use_root_pixmap screen general option - Use initial root pixmap wallpaper to draw background when use_root_pixmap option is enabled

2009-03-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add command line option to start preferences dialog - Add closed signal to CCMPreferences - Add --configure option to start only preference gui from command line

2009-03-27  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add session management support - Add session management support - New internal pre-release

2009-03-27  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[magnifier] Performance improvement - Draw only cursor if magnifier is enabled - Use fill and clip instead stroke it is slighty faster

2009-03-27  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Small performance improvement - return directly plugin parent member instead get property - when damage screen region only damage top most drawable. - render cursor only if is managed

2009-03-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix window shade issue - unset state which we are not set when get prorperty - allow ccm_window_set_opaque_reggion  to have null region - fix decoration set opaque region when window is shaded

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] New cairo-compmgr 0.2.93 pre-release - Quick pre-release which only fix transset issue.

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[opacity] Fix set opacity with transset - When set opacity on framed window set on both window and frame

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix get window property - When getting window property on framed window get it on both frame and window

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[debian] Fix mistake in control file

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] New 0.2.92 pre-release.

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[magnifier] Use last cursor manage API to draw pointer.

2009-03-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add redirect cursor support. - Add cursor redirect support ccm can now manage cursor rendering you can   enable or disable it  with ccm_screen_[un]manage_cursors. - Add on_cursor_move and paint_cursor screen plugin virtual function.

2009-03-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix a crash on end window redirection

2009-03-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix a small memory leak

2009-03-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Fix a small memory leak

2009-03-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Cursor cache improvement - Push cursor in cache with atom_name key instead cursor name. - Remove cursor theme checking for now. - Don't cache animated cursor they haven't any cursor atom name.

2009-03-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Cursor management improvement - Create cursor with XFixeCursorImage instead the name of cursor. - Add cursor animated property, it set when cursor atom name is not set - Unexpose cursor new function in public API.

2009-03-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add window redirect input signal - Add window redirect input signal - Count the number of window with redirect input in screen - Check for redirect mouse event (button press/release and motion) only    if we have any window with redirect input event

2009-03-16  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Initial cursor theme management - Add ccm-cursor which store cairo_surface of one cursor - Add cursor collection in display - Refresh cursor collection on each Xfixes cursor notify event - Add ccm_screen_manage/unmage_cursor method to enable cursor management for a specific screen

2009-03-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Reshape preferences dialog on resize.

2009-03-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Check display in ping callback

2009-03-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[snapshot] Fix builder conflict widget name

2009-03-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[snapshot] Implement preferences UI - Implement preferences page plugin interface - Add preferences UI

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[mosaic] Fix up plugin and add preferences section settings. - Block redirected event when active. - Shadow window which aren't onto pointer - Activate window on click and disable mosaic.

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Use ccm_window_get_area_geometry API to draw freeze

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Fix up input redirection API for mosaic plugin - Add block-mouse-redirected-event property to block all pointer event when window have some transformation - Add get_area_geometry API to allow to get the window transformed geometry without the shadow border - Fix up ccm_window_is_child, query all window and sub window child.

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Add window enter/leave/activate signal - Add window enter/leave signal - Add window activate signal

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[opacity] Add settings sections in preferences dialog - Implement ccm_preferences_page_plugin - Add set opacity window settings in utilities section - Add menu opacity settings in effects section

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Use spin button instead scale to set radius and sigma

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Add config entry shortcut widget - Add config entry shortcut to catch key + mouse shortcut - Add config entry shortcut in glade catalog

2009-03-14  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Lock preferences close on Esc keybinding

2009-03-13  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Fix typo

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[freeze] Implement preferences UI - Implement preferences page plugin interface - Add preferences UI and icon

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[menu-animation] Port to latest preferences page API

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[fade] Port to latest preferences page API

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[shadow] Port to latest preferences page API

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Port to latest preferences page API

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[cairo-compmgr] Simplify preferences API - Add section_register_widget to Preferences Page to register a section widget.   Provide cairo-compmgr to manage itself hide/show this widget on plugin activation.

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] Fix config widget - Add forgotten call of parent virtual methods - Override realize method in config color widget to get initial value of key

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[decoration] Use ccm config widget for settings - Backport decoration configuration to ccm config builder widget

2009-03-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] add ccm_config_color_button widget: - New config color button widget and it to glade catalog.

2009-03-11  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] add ccm_config_adjustment widget: - New config adjustment widget and it to glade catalog.

2009-03-11  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[libcairo_compmgr] add ccm_config_get_value_type api: - Add ccm_config_get_value_type to get type of value - Implement get_value_type in gcon and key backends - Move CCM_CONFIG_VALUE enum from ccm-config-schema to ccm-config

2009-03-11  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[Freeze] Fix a crash on compositing enable/disable

2009-03-10  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add gtk builder custom widget for settings: - Add CCMConfigCheckButton widget to set boolean ccm_config value. - Add libgladeccm and cairo-compmgr glade catalog to easily add widget in gtk builder ui file.

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	[Magnifier] Cache mouse cursor surface - Push cursors image surface in hash table instead recreate it on each move

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Distcheck regeneration

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Shape window and force shadow of automate dialog. - Shape automate dialog on_realize and force shadow (needs a small vala vapi patch) - Add vala gdk-xlib-2.0 deps

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Switch on general section on preferences show. - Add ccm_preferences_page_set_current_section to switch on particular section - Switch on general section on preferences dialog show

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Minor section settings value plugin apparence Expand widget in their container for plugin values.

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Fix snapshot dialog apparence Shape window dialog and force shadow.

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Generate ChangeLog from git log Add gitlog-to-changelog script from gnulib and a dist-hook to generate ChangeLog file when creating tarballs.

2009-03-08  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add vala and gobject-introspection support to shave.

2009-03-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add menu-animation preferences page settings.

2009-03-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Some fix : - Emit an error when get geometry window fail. - Unmap also if window is not visible but viewable, this case happen   when viewable is set on get window attribs. Avoid some dead   windows still on desktop. - Remove unuseable log. - Initialize screen in finalize avoid warning on enable/disable   compositing. - Get new option values of shadow plugin on change. - Disconnect display event on finalize in menu-animation plugin.

2009-03-05  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Never restack window below hint desktop window allow fade unmap works.

2009-03-05  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Check display validy on screen event avoid a crash on ccm unset.

2009-03-05  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add fade settings and fix shadow and decoration settings change : - Add fade preferences section. - Update decoration on gradiant change. - Fix up shadow refresh on setting change.

2009-03-04  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Improve preferences UI + fix crash on fade plugin unload: - Disconnect display event on finalize in fade plugin fix a crash on   multiple plugins  activation/desactivation. - Use a variable member instead button label to get/set active in cell   plugin renderer. - Add plugin state changed signal in preferences page. - Add ccm_preferences_page_section_[p/v] to indicate if a plugin use   or  not a section, if a section is not used gray section selection. - Hide plugin settings if not loaded

2009-03-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Preferences addition: - Add decoration preferences page settings. - Hide real blur in shadow preferences page since is too slow.

2009-03-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Preferences additions: - Add decoration preferences page settings. - Hide real blur in shadow preferences page since is too slow.

2009-03-03  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Fix resize region redraw: - automate plugin name. - preference dialog shape. - use gdk_region shrink instead scale to resize region, fix some window   draw strangeness on resize.

2009-03-02  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Preferences additions: - add ccm_config_set_color method. - add ccm_preferences_page_get_screen_num method. - shape window preference dialog. - add shadow preferences.

2009-02-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	debian changelog

2009-02-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	New pre-release to test xdg key configuration files. Fix some glitches when window return form fullscreen.

2009-02-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Little preformance improvement, use list_prepend and reverse instead list_append on multiple insertion. Avoid traverse all list on each insertion.

2009-02-27  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Finalize key configuration backend, set gconf configuration backend has optionnal and enable by default key backend.

2009-02-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Update with lastest shave release.

2009-02-25  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Rebuild package with latest vala

2009-02-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add debian package build Prepare for 0.290 pre-release

2009-02-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Append debian package directory.

2009-02-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Update with latest git version of shave.

2009-02-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Key configuration backend implementation + fixes - Implement key file backend for configuration need to be more tested. - Add config test utility - Fix a memory in cell renderer - Force map on visible window on screen query_stack.

2009-02-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	It's a long time I don't push modifications due a lack of time to synchronize my job branches with official repos and I have many changes :( Here is a list of changes since the last commit:     - merge input redirection experimental branch     - merge bindings experimental branch     - remove all libgnome deps     - beginning to new configuration api to have gconf optionnal     - new snapshot plugin     - new automate plugin (WIP)     - add preferences ui and plugin API     - fix many many issues     - add vala plugin bindings     - gobject introspection support     - cleanup build system     - and some other forgotten changes ...

2008-12-24  Nicolas Bruguier  <gandalfn@rohan.(none)>

	New matrix transformation management : The transformations are now managed by CCMDrawable. A plugin can push/pop a matrix transform associated with a key. The final transformation is apply on geometry/damaged/opaque regions which is all pushed matrix cumulated on ccm_drawable_get_transform.

	We can continue to get the original geometry region with device api (ccm_drawable_get_device_geometry, ccm_drawable_get_device_geometry_clip

2008-12-22  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Draw frozen shape only on real geometry.

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Fix shadow resize

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	force damage on shadow pixmap paint, some damage can be eaten between send and process.

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Don't check window state on remove.

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Connect after pixmap damage signal to be sure plugin damage is done before damage window.

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Fix damage with redirect pixmap : - Offset pixmap damage with window geometry instead with get_origin. - Don't send damage on pixmap shadow damage.

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Apply window opacity on check mask

2008-12-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Shadow blur experiment and performance improvement : - Add get pixmap interface. - Check mask surface if pixmap size has increase by a plugin. - Use Mathias Hasselmann pixman blur from  http://taschenorakel.de/mathias/2008/11/24/blur-effect-cairo/ - Rewrite shadow plugin to be more efficient. Draw shadow directly on pixmap instead on draw. - Create an A8 similar surface for mask. - Begin to rewrite mosaic plugin to add more efficient window matrix transform management. - Fix plugin sort order. - Force align to integer on rectangle conversion to improve clipping performance. - Fix typo.

2008-12-14  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Region management rework : - use pixman_region32 methods to manage them, and use 16/16 fixed points to store data. - Invert dependencies to have always in first place shadow plugin. - Add enable-glitz option and disable by default glitz backend - Fix typo

2008-12-13  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Fix a stupid copy and paste bug in resize window.

2008-12-13  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Remenber the last position and size of drawable to avoid unnecessary call of move or resize on configure event.

2008-12-12  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Resize and offset opaque regions on window move and resize.

2008-12-12  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Some fixes : Use g_timeout_add_seconds instead g_timeout_add and set send event has no user event in freeze plugin. Resize geometry region instead query_geometry on resize drawable. Don't compress property and client message event. Offset also origin opaque region on window move. Don't damage window on unmap not necessary.

2008-12-09  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Freeze plugin: Don't compress ping event.

2008-12-08  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Add gradiant decoration options. Remove screen plugin interface. Fix typo. Damage window on unmap.

2008-12-02  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Disable mask if damage region doesn't concern decoration.

2008-12-01  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Fix crash on freeze plugin unload.

2008-12-01  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Fix freeze plugin and fix to work with latest glitz snapshot : - Only ping application which have _NET_WM_PID atom - Add color freeze option - Some fix - Enable by default decoration and freeze plugins - Don't draw animated cursor in magnifier plugin - Fix to work with latest glitz snapshot.

2008-11-26  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Some fixes : - Use similar surface instead image surface in decoration plugin. - Fix crash on decoration plugin load/unload. - Remove blur decoration plugin option. - Set plugin parent to null on unref. - Use gulong instead guint32 on get property to have the correct size on 64 bits platform.

2008-11-24  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Add decoration opacity blur option.

2008-11-24  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add forgotten decoration plugin Makefile.am

2008-11-24  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Add translucent decoration plugin

2008-11-21  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Don't try to set refresh rate if we have an error on get conf key, avoid a crash on first startup.

2008-11-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Check for _CCM_SHADOW_DISABLED property on window map.

2008-11-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add atom _CCM_SHADOW_DISABLE to allow disable shadow per window ; - Add atom _CCM_SHADOW_DISABLE to disable per window - Fix non frame window search - Expose ccm_window_get_property functions

2008-11-17  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Fix some glitches when windows have transform : - Remove damage option on window set transform. - Damage window on each frame in menu-animation. - Remove a display sync on window creation - Fix shadow draw when window have transform. - Fix some warnings.

2008-11-15  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Performance improvement and some crash fix: - Use g_slice instead calloc improve performance when generate blur. - Disconnect keymap change handler on destruction, fix crash when keymap change. - Add some check, to avoid some warning and crash. - Add dump stack on warning and on sigsegv.

2008-11-14  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Improve error handling and add input redirection : - Add ccm-config error handling. - Add input redirection methods.

2008-11-12  Nicolas Bruguier  <gandalfn@rohan.(none)>

	Small fix - Don't check for glitz tfp if glitz isn't enabled - Check areas only if window can't be added in them

2008-11-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Shadow fixes : - Refine the window filter for shadow. - Set default color shadow more dark.

2008-11-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Shadow and Mosaic plugin fixes + memory leaks fix : - add image surface blur methods. - add get window origin interface. - check for windows on add and destroy window instead on each paint in moasic plugin. - beautify shadow with a real blur. - add shadow in all side and remove offset - add blur radial parameter and shadow color parameter - call ccm_drawable_damage_region_silently instead a duplicate code. - add window destroyed signal to ccm_screen. - fix small memory leak.

2008-10-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Some damage improvements : - Generally use ccm_region_transform instead ccm_region_offset and   ccm_region_scale. - Add damage interface to screen plugin - Remove filtered damage property to screen - Fix mosaic plugin - Rename ccm_screen_undamage to ccm_screen_remove_damaged - Define a real ccm_screen_undamage - Add ccm_drawable_damage_silently method instead block signal. - Fix perf plugin

2008-10-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	* configure.ac: 	* plugins/magnifier/ccm-magnifier.c (ccm_magnifier_init), 	(ccm_magnifier_on_key_press), (ccm_magnifier_get_scale), 	(ccm_magnifier_get_border), (ccm_magnifier_get_restrict_area), 	(ccm_magnifier_get_size), (ccm_magnifier_cursor_get_surface), 	(ccm_magnifier_cursor_get_position), 	(ccm_magnifier_on_option_changed), 	(ccm_magnifier_screen_load_options), (ccm_magnifier_screen_paint), 	(ccm_magnifier_window_paint): 	* plugins/magnifier/ccm-magnifier.schemas.in: 	* src/ccm-screen.c (ccm_screen_query_pointer):       Add restricted area.     * src/ccm-pixmap.c (ccm_pixmap_register_damage):       Set Report NonEmpty for damage

2008-10-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Partial commit for job.

2008-10-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add gconf enable to provide an easy way for activate magnifier.

2008-10-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Prepare 0.2.2 version

2008-09-29  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add use_image property to window for set/unset image pixmap backend instead than the configured, its improve magnifier and mosaic plugin performances. Its due of slowness of get_image of xrender/glitz backend when this plugins draw windows.

2008-09-29  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Update config value only if outside the margins. If ccm don't found 32 drawable format try to use visual drawable format.

2008-09-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Revert "Revert "Find pixmap format rework need review for nvidia cards.""

	This reverts commit 7a69c1339a1e04de13a6d13160cb8900176d6a8d.

2008-09-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Sometimes i will need to think before commit somethings :). The real fix for find pixmap format.

2008-09-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Revert "Find pixmap format rework need review for nvidia cards."

	This reverts commit 8d159bfa7ab0a620ff0cc829b1e3a50b4af90afc.

2008-09-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Find pixmap format rework need review for nvidia cards.

2008-09-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	if glx find visual fail try to find visual manually.

2008-09-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Create libcairo_compmgr to expose common objects and functions to prepare ccm preference application.

2008-09-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Prepend window in stack on remove instead append to avoid bliking.

2008-09-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix remove window on reparent.

2008-09-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix some memory leaks.

2008-09-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	API Review of CCMDisplay and CCMScreen : - Prefer to use g_object_[get,set] than public value.

2008-09-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Let check stack to remove window on unmap, ccm can't block it, since the WM restack window in bottom before unmap.

2008-09-16  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add background color and background pixmap position.

2008-09-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	API review:  - Prefer to use g_object_[get,set] than public value.  - Move some API in CCMDrawable.  - Fix TFP mode and enable it by default.  - Fix no desktop mode.  - Add default pixmap background key.  - Bump to 0.2.2 version.

2008-09-05  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove the stupid implementation of copy sub buffer use glitz instead.

2008-09-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	fix glitz TFP support, is now fonctional.

2008-09-03  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Improve redraw (work in progress)

2008-09-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Various fixes: Magnifier: fix mouse image conversion. Mosaic: Partial fix.

2008-08-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	use ccm_window_set_opaque_region to define opaque region on resize to keep transform matrix on opaque region.

2008-08-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix memory leak: - drawable remove unused damage virtual method. - async remove idle function on destroy.

2008-08-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix a memory leak.

2008-07-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix email in ChangeLog.

2008-07-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove dbe check.

2008-07-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump to version 0.2.1

2008-07-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	re-enable native_pixmap_bind by default.

2008-07-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Xrender performance improvement & glitz TFP fixes: - Xrender : Don't use DBE to made double buffering but instead use a             pixmap and XCopyArea.             Don't recreate pixmap surface on each redraw. - Glitz TFP : Fix TFP redraw. - Shadown plugin : Don't apply y invert when painting shadow.

2008-07-23  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump to version 0.2.0

2008-07-23  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Change default options: native pixmap bind disabled, fade duration 0.2, menu-animation duration 0.2 and magnifier shortcut <Super>F12.

2008-07-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Damage window which its position changed in stack.

2008-07-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use latest glitz API. Clean screen surface on startup

2008-07-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Allow shaded window to have shadow. Add track damage colorization.

2008-07-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix crash.

2008-07-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove check shadow on window destruction.

2008-07-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add timeout pool from clutter for timeline.

2008-07-16  Carlos Diógenes  <cerdiogenes@gmail.com>

	Sync display on end of window creation.

2008-07-15  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Damage screen region covered by window on unmap.

2008-07-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Consider first window opaque viewable which covered all screen as desktop type window.

2008-07-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix some animations issue: - Menu animation: Set animation depending the mouse position on map. - Opacity: Don't set opacity only change property. - Shadow: Check if window need shadow on paint. - Support dynamic change of refresh rate. - Fix flickering on window destroy.

2008-07-03  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix flickering on unmap: - Damage window which is in remove pending in check stack. - Ignore silently window paint with alpha 0.

2008-07-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Wait unmap is finished to remove window when an animation is started.

2008-07-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Sync display on ccm_window_new.

2008-06-29  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Don't buffering undecorated and input only window.

2008-06-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Implement dynamic config change, fix some memory leak and fix some crash.

2008-06-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix buffering on move and invalid matrix handling.

2008-06-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Small performance improvement.

2008-06-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add forgotten changelog entry.

2008-06-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix window move performance, magnifier and opacity plugins fix. - Add zoom quality option and manage mouse change when zoom is enabled. - Don't filter window on opacity change. - Add xfixes check and xfixes cursor notify event. - Fix use of buffered pixmap on move.

2008-06-23  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Check matrix validity: - add ccm_debug_backtrace function. - initialize overlay window context matrix on each paint. - check if matrix is valid with cairo_invert.

2008-06-23  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Some memory leak fixes, magnifier plugin improvements: - Magnifier: Performance improvement and many fix, change width and   height value to percent of screen size. - Fix some memory leaks. - Fix window transform.

2008-06-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add missing changelog entry

2008-06-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix magnifier plugin.

2008-06-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix opaque region destruction. Add some debug statement.

2008-06-16  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Better special cases handling:  - Check stack on hint type change and transient change.  - Create window on map event if don't exist.  - Unmap window if visible on remove.  - Destruct CCMPixmap on window paint error.  - Check XError on XCompositeNameWindowPixmap.  - Always set window translucent when opaque area is empty.

2008-05-31  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add support of button mouse shortcuts. Set shortcut Super (roll wheell) to change window opacity.

2008-05-29  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove state changed signal and update property changed to indicate the type of property changed. Remove get property sync methods not really needed. Check hint type on map in opacity plugin.

2008-05-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Serialize unlock plugin operations. Get window attributes with _ccm_window_get_attribs. Typo fixes. Fixes some redraw issues.

2008-05-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add check stack on property/state change.

2008-05-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	New implementation for animation (timeline) mostly inspirated by GtkTimeline: http://bugzilla.gnome.org/show_bug.cgi?id=444659 Fix plugin methods chain, implement methods lock. Some fixes and change to use timeline and plugin lock methods. Some fixes and performance improvements. Bump to 0.1.99 version, begin of 0.2.0 test phase.

2008-05-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Get hint type in sync on window creation. Add assert. Enhance menu animation.

2008-05-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Rewrite of async get property. Fix some redraw issue.

2008-04-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	(ccm_screen_check_stack_position) force window with type desktop in bottom of stack. (ccm_screen_on_event) Don't check window in expose event. Add assert when use CCM_WINDOW_GET_CLASS to avoid some crash.

2008-04-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Stop send event when a window accept it.

2008-04-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix crash, data must be eaten on each reply. Add broadcast send event.

2008-04-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Merge with test and debug branches, fix many redraw, perfomance and crash issues and add support for openbox window manager, start the road for 0.2.0 release :).

2008-04-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix a crash on get property async, add debug time.

2008-04-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Damage all screen on window unmap since we don't found why window geometry is invalidon unmap.

2008-04-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix few redraw issues.

2008-04-16  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix a crash if XQueryTree fail, fix some forgotten damage.

2008-04-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix damage on window switch + code cleanup. Add debug functions

2008-04-14  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Merge commit 'HEAD'; branch 'stack-rework'

2008-04-14  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use XQueryTree for stack check: After some experimentation it's seem the more reasonably way to get stack for many window manager it's get stacking list with XQueryTree, but this method can slow down redraw.

2008-04-11  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Try an another way to check stack.

2008-04-10  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Ordering fixes.

2008-04-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Set default type to NORMAL.

2008-04-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Send state and property changed only if modified, fix restack below if is hidden.

2008-04-08  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix stacking some layer stacking.

2008-04-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix window stacking in DESKTOP layer and window in NORMAL layer.

2008-04-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Implement stacking layer filter.

2008-04-03  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Send signal property changed and state changed only if really changed and then restack only in this case. Attach to back buffer instead front. Use image surface instead similar to draw shadow. Don't clip on draw mosaic. Set native_pixmap_bind as default.

2008-03-31  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bufferize only on move. Ignore CFLAGS passed on command line. Fixes some warnings.

2008-03-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix restack issues for transient window.

2008-03-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Window stacking rework: Restack rework to be more conformant to EWMH. Add get transient for, get group leader and keep_above/below interface. Use signal instead callback on ag_task reply. Don't free task on get reply. Change policy to filter window with new property check.

2008-03-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix crash on async get_property handler destruction.

2008-03-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Return silently instead an assert if node not found on remove.

2008-03-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix async get_property handler destruction. Check hint_type and mwm property on map.

2008-03-20  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Fix a crash on remove get_property handler. Create one window selection owner for each screen.

2008-03-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Cache use_xshm option.

2008-03-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use Async get_property. Use async get property for hint type and is_decorated. Fix get property handling. Add ag_task_destroy method.

2008-03-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Handle better Xerror event.

2008-03-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Mosaic plugin fixes Expose find window functions, add activate window function. Set default window type to normal. Include only normal window.

2008-03-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Memory and debug improvement. Add libgtop depends. Show cpu and memory load average. Fix a shm memory leak. Use _cairo_lround instead round and add debug function _ccm_region_print. Detroy pixmap when window is unmapped to preserve memory.

2008-03-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Repair all damage region on repair.

2008-03-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Move performance check in a plugin, for now only check FPS. Disable c99 check for now.

2008-03-10  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix some fallback cases.

2008-03-06  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use new api for bind tex image.

2008-03-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bind tex image directly instead damage texture. Use gdk_threads_add_timeout_full instead g_timeout only fo testing for now.

2008-03-03  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Glitz tfp rework: Add y inverted property. Add y invert parameter to ccm_window_paint plugin interface. Add indirect rendering gconf option. Image fix: Don't repair pixmap window covered area. Some memory leak

2008-02-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Get image rework: Add image object which replace _XSetImage by pixman_blt and add a pseudo XShmGetImage function. Merge ccm-pixmap-image* and ccm-pixmap-shm* and remove all ccm-pixmap-shm*, XShmGetImage is now managed in ccm-image. Event rework: Use event instead a callback for damage. Remove timer check and force paint. Mosaic: Don't check event if plugin isn't enabled Opacity: Add keybinding to increase/decrease opacity.

2008-02-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Some fixes on paint. Fix typo in ccm-display. Add _ccm_drawable_get_damaged function. Subtract obscured area when repair pixmap. Remove transform matrix in pixmap glitz. Implement a pseudo XShmGetSubImage when shared pixmap isn't supported. Remove stupid detect desktop window in paint.

2008-02-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Minimize repair rectangles with shm without shared pixmaps.

2008-02-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix coords calc on mouse event. Set surface matrix scale = -1, y offset = height.

2008-02-10  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add experimental cairo-openvg backend, not working for now, missed some pieces in ShivaVG and cairo-openvg-surface specialy for get/set image and compositing. Implemented to follow dev of cairo-openvg and provide backend in ccm when is ready. Add return bool in ccm_drawable_repair to check if repair complete correctly and damaged zone. Do a complete XShmGetImage on first repair.

2008-02-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Minimize XSHMGetImage area when shared pixmaps are disabled.

2008-02-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Check if shared pixmap is supported when intialize XSHM. Optimize image data refresh in ccm_pixmap_image. If shared pixmap isn't supported (EXA) don't use pixmap copy only an XSHMGetImage

2008-02-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Don't draw window in mosaic, beginning of event mouse proxy. Set shadow in depends.

2008-02-06  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Some work around areas paint. Backport fixes from shm buffered. Fixe typo. Disable subtract opaque region when filtered damage is disabled

2008-02-05  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix crash if ccm can't create SHM ressource. Fix crash on get geometry on resize. Some work around areas paint.

2008-02-04  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Clip with damaged screen areas on shade draw. Create mosaic areas on each screen paint Don't manage metacity allow event window.

2008-02-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	First implementation of mosaic plugin. Fix redraw when disable/enable buffering pixmap. Add ccm_screen_set_filtered_damage which provide the possibility to disable/enable the refresh of obscured area of window. Add ccm_window_make_input_output function.

2008-02-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add carlos in head of ccm-magnifier.[ch] it's initial author

2008-02-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove refresh rate check on paint

2008-01-31  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix unset buffered pixmap in window paint.

2008-01-31  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix offset of clipping when drawing in magnifier surface. Clip screen when drawing shade desktop. Fix unset buffered pixmap in window paint.

2008-01-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	add enable-glitz-tfp option

2008-01-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Hide pointer when magnifier is active.

2008-01-28  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add shade desktop gconf options, fix move on border. Add --enable-glitz-tfp option

2008-01-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix follow mouse move.

2008-01-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Activate magnifier when stroke F12 key. Add a border and shade desktop when magnifier is activated. Show mouse in magnifier and move area on mouse move (need to be fixed) Add buffered option at ccm_window_paint to desactivate on fly buffered pixmap (need to be fixed).

2008-01-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Pixmap SHM, check if image is created before create surface.

2008-01-25  Carlos Diógenes  <cerdiogenes@gmail.com>

	Add Shadow plugin depends.

2008-01-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Merge last master branch commit.

2008-01-25  Benoit Chauvin  <belou.bdc@gmail.com>

	Change default plugins duration.

2008-01-25  Carlos Diógenes  <cerdiogenes@gmail.com>

	Fix plugin sorting order

2008-01-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Scale magnifier on final surface paint, revert ccm_window_paint offset, fix menu-animation bug.

2008-01-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	First implementation of magnifier plugin, introduce a bug in shadow plugin, but is pretty good, thanks Carlos.

2008-01-23  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Compress key press and release event.

2008-01-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add Carlos in AUTHORS

2008-01-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	(ccm_screen_plugin_paint) Add cow cairo context in parameters. (_ccm_screen_get_plugin) Parse all screen plugins to get corresponding plugin type. First implementation of key bind need to be tested.

2008-01-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Fix use custom CFLAGS if defined

2008-01-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix a crash if surface of ccm_window can't be created. add one pixel when scaling region, fix glitches on menu-animation.

2008-01-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump version to 0.1.4

2008-01-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix AM_CONDITIONAL when no glitz lib found, bump version to 0.1.3.1 thanks Carlos

2008-01-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Revert "Bump version to 0.1.4"

	This reverts commit b8a9e74e748f42ab2ce5bcb78ef341a347df40bd.

2008-01-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump version to 0.1.4

2008-01-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix compilation options Release 0.1.3

2008-01-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Create two surface for shadow onr for right shadow and one for bottom shadow instead one big region with geometry size. Fix shadow drawing. Add ccm_region_scale and ccm_region_shaped functions. Flush surface in end of surface buffering sync. Add ccm_window_set_opaque_region. Check filter plugins on loading instead on extension loader creation. Don't use startup notification in launcher.

2008-01-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add CCM_IS_PIXMAP_BUFFERED macros and set pixmap buffered property in ccm_window_paint only if pixmap is a buffered pixmap

2008-01-11  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Push use_buffered_pixmap in screen config

2008-01-11  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Don't activate surface buffering on pixmap creation but activate it on first redraw of window, improve significantly the performance for creation and resize. Also don't damage window on map/unmap

2008-01-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Create buffered surface in window format instead always in ARGB format.

2008-01-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use XFixesSetGCClipRegion instead copy all damaged rectangles

2008-01-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use O3 compilation optimisation, can improve ccm_drawable_get_damage_path.

2008-01-06  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fixes memory leaks Fix schemas clean rules

2008-01-06  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add buffered pixmap surface support. Add use_buffered_pixmap option Suppress damaged zone outside drawable geometry. Add desktop entry. Shadow: Use similar surface than window instead create an image surface.

2008-01-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Check if glitz TFP support is enabled else disable pixmap glitz backend

2008-01-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use the real geometry of window to create glitz drawable and surface. Set indirect mode with glitz_drawable_format_t.

2008-01-03  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use window visual to determine glitz format

2008-01-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Damage all rectangles of texture Remove make_current and get_context not needed

2007-12-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add glitz backend for pixmap, this backend needs some patch on glitz to work and specially my current patch to add TFP support in glitz. Fix type of native_pixmap_bind Set default timeout of ping at 5s

2007-12-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	First implementation of pixmap backends, we can use the native backend associated to window or shm/get_image backend. For now only xrender native backend with no damage repair zone a bit slow.

2007-12-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add forgotten Changelog, NEWS and AUTHORS entries

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump version

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Destruct selection owner window on display destruction

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add tray icon launcher

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Force check hint type

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Revert "Use ccm_screen_restack on window add"

	This reverts commit 46110cad94a8e108ec5f44331d4c6f297c353171.

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use ccm_screen_restack on window add

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove unmap implementation in shadow plugin

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix get window name and warning on ccm startup

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Enable freeze animation only in good case

2007-12-27  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix freeze plugin and enable it by default

2007-12-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Code cleanup

2007-12-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix memory leak

2007-12-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix redraw on move

2007-12-26  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use region instead rectangle for damage Fix call query geometry with shadow plugin

2007-12-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove set alpha in menu-animation

2007-12-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Set xrender backend as default

2007-12-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Change repaint priority and force repaint on each event if refresh rate expired Fix clip zone in shadow plugin

2007-12-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Sort extension to ensure they are in good place

2007-12-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix configuration load and some default value

2007-12-21  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Animation enhancement Add plugins sort on load Add plugin menu-animation

2007-12-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Force unmap on remove window

2007-12-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix fade map/unmap

2007-12-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Damage window on fade destruction Don't try to restack window if dock found Damage win on resize and on double unmap

2007-12-18  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add damage on map/unmap

2007-12-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove all unnecessary damage improve performance for move Remove ccm_screen plugin implement for shadow

2007-12-16  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add offset on start of fade animation to prevent transparent window

2007-12-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Begin of async get property implementation

2007-12-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix no shm mode and minimize damaged redraw area

2007-12-15  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix crash on plugin order (fix #04, #05)

2007-12-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump version

2007-12-13  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add intltool script for packaging Remove glitz make current on copy sub buffer

2007-12-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Check libm in configure, remove some warning Set glitz backend as default Fix opacity and fade default value

2007-12-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Destroy shadow surface on query geometry

2007-12-12  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add move and resize interface backend Shadow: on resize add border to new size, move shadow regions on move

2007-12-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Another small performance improvement

2007-12-11  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Performance improvements

2007-12-10  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix some warning

2007-12-10  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix performance issue with many windows subtract opaque region of below window on each damage Damage screen when no desktop window

2007-12-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Paint background if no desktop window Remove compilation optimization not really needed

2007-12-08  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Clip drawing region to screen size Glitz: copy sub buffer only area in screen exclude region ouside screen size Animation: use paint call to call animation callback Fade: remove animation on add screen and improve all animation

2007-12-07  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Use clipbox area instead list of rectangle when repair pixmap Damage window on remove Use high priority for animation

2007-12-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Always use glitz_glx_find_drawable_format_for_visual to get glitz format

2007-12-07  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add child window support Fade: set fade animation more dynamic

2007-12-06  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add set_opaque interface for window plugin Fade: remove unnecessary damage Shadow: set borderas alpha on set_opaque

2007-12-06  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix fade when a window is reparented

2007-12-05  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fade: fix black screen Shadow: improve shadow draw Remove frame extents add on query geometry

2007-12-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Restore orginal opacity when cancel animation

2007-12-04  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use a better fade calculation in animation Disable frame extends Damage window on remove

2007-12-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Don't damage window on fade map, stop animation on map/unmap

2007-12-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add fade on destroy and create window

2007-12-02  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Remove ccm_window_set_parent to manage event of child add SubstructureNotifyMask Search fullscreen window in damage event Continue to improve freeze plugin

2007-12-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add frame extends support

2007-12-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Detect if an another composite manager run on startup

2007-12-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Damage window in end of fade Manage Expose and Circulate event

2007-12-01  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Implement CopySubBuffer in glitz backend. Use glxGetProcAddress to get extension Damage window on map or unmap if window is already in this state

2007-11-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add backend support per screen Set default refresh rate if no gconf value

2007-11-30  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add ccm_drawable_swap_buffer_region interface, in glitz backend swap region in xrender swap copied region. Seem increase performances :)

2007-11-30  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Some small performance improvements and fix glitz visual detection.

2007-11-28  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Attempt to use compiz ping window method in freeze plugin. Disabled by default, don't provide good performance, we must try to ping window only in good place and made a timeout only if ping is send, and on pong receive we need to compare timestamp between send and receive.

2007-11-26  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	Add embrionic freeze plugin

2007-11-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add query_opacity plugin interface, stop fade if query_opacity. Set default duration fade at 0.3 seconds

2007-11-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Merge from fade branch add ccm-animation object for manage effect progress

2007-11-25  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add screen damage rectangle, fix some glitches with fade plugin and somme code cleanup

2007-11-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Damage screen on window destroy, don't map or unmap if window already in this state

2007-11-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix some glitches on open and close windows

2007-11-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix damage on open and close window

2007-11-24  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix damage on fade

2007-11-23  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Use timer and timeout for animation

2007-11-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Temporary commit fix some issue with fade

2007-11-22  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Initial fade plugin

2007-11-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Require glitz  0.5.6

2007-11-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Don't add window on map, set parent on create notify

2007-11-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Disable for now remove window on reparent event

2007-11-20  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Rework of track damage : when a window is damaged consider three damage, window damage itself, the above window damage and below damage. First substract all opaque area of above window to all damage, next damage above window and below window. Suppress also all opaque area of fulscreen window. Its seem more CPU hangry but less artifact.

2007-11-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add missing ccm_window_is_decorated declaration

2007-11-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add ccm_window_is_decorated, don't shadow for normal window without decoration

2007-11-19  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Bump version

2007-11-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	state and fullscreen improvement need a rework in long term

2007-11-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Manage damage when we have a fullscreen window

2007-11-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Set window parent on reparent event and propagate state of child to parent

2007-11-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	unset drawable geometry on window unmap

2007-11-18  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Destroy shadow surface on unmap

2007-11-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix a memory leak

2007-11-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix a small memory leak

2007-11-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix clipping area on shadow draw

2007-11-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Don't damage all above window if window is fully obscured

2007-11-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix double free on visual

2007-11-17  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add check backend conditional build

2007-11-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Add fullscreen check Fix restack of top and bottom window

2007-11-12  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix shadow redraw for fullscreen windows

2007-11-09  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Fix intltool check

2007-11-08  Nicolas Bruguier  <gandalfn@club-internet.fr>

	Initial import

